Viewing Issue Advanced Details Jump to Notes ] suna8.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05971 Graphics Minor Always Jun 30, 2015, 23:42 Sep 6, 2015, 14:04
Tester Augusto View Status Public Platform MAME (Unofficial Binary)
Assigned To Luca Elia Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver suna8.cpp
Version 0.163 Fixed in Version 0.166 Build 64-bit
Summary 05971: sranger and others clones: graphics issues
Description Super Ranger and others sets has graphics issues when finishing first and last stage.
Finish the first stage and will have tilemap issues.
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems sranger and others clones
Attached Files
png file icon 0005.png (4,965 bytes)  Jun 30, 2015, 23:42 by Augusto
Augusto
png file icon 0000.png (8,857 bytes)  Jul 4, 2015, 00:21 by Augusto
Augusto


-  Notes
User avatar
No.11816
Tafoid
(Administrator)
Jul 3, 2015, 23:17
edited on: Jul 3, 2015, 23:17
I'm confirming as possible. This games and most games made by this company have many graphic errors and issues. There is a very good chance this is original behavior.
I was only able to confirm the last level graphic issue using level end now cheats

User avatar
No.11818
Augusto
(Tester)
Jul 4, 2015, 00:03
edited on: Jul 4, 2015, 00:21
In next time I will post an save state.
Also in stage 5 tilemaps (score and hiscore) not are displayed (new file above).

User avatar
No.11820
izius
(Tester)
Jul 4, 2015, 11:16
It seems there are 2 different graphic glitches.
The 1st one occurs during jet cutscenes (after stages 1 and 10) and creates a a small patch of black pixels on the top center of the screen, over the HI-Time area. It's cleared after the jet takes off.
The 2nd one occurs in levels with lava (stages 5 and 10) and causes the lava animation to be displayed on the top of the screen, over the status area. I'm guessing the video ram is not cleared after level 10, so this glitch persists in the jet ending cutscene.
Both of these have a regression in 0.37b15 (tested on rranger, the only one supported at the time), and they're possibly related to 00878.
It should be noted that 0.37b14 didn't have lava animation, though.
User avatar
No.12001
Luca Elia
(Developer)
Sep 6, 2015, 14:02
Fixed on commit:

https://github.com/mamedev/mame/commit/17d52442efe5bba5343b59043f5d9780c331a554

based on this video:

http://www.nicovideo.jp/watch/sm15788808